Loading...
Searching...
No Matches
cpelang.c File Reference

Interface to Common Platform Enumeration (CPE) Language. More...

`#include <libxml/tree.h>`
`#include <string.h>`
`#include "public/cpe_lang.h"`
`#include "cpelang_priv.h"`
`#include "common/util.h"`
`#include "common/list.h"`
`#include "source/public/oscap_source.h"`
Include dependency graph for cpelang.c:

## Macros

#define | CPE_LANG_SUPPORTED "2.2"

## Functions

void | cpe_lang_model_export (const struct cpe_lang_model *spec, const char *file)
const char * | cpe_lang_model_supported (void)
char * | cpe_lang_model_detect_version_priv (xmlTextReader *reader)
bool | cpe_platform_applicable_lang_model (const char *platform, struct cpe_lang_model *lang_model, cpe_check_fn check_cb, cpe_dict_fn dict_fn, void *usr)

## Detailed Description

Interface to Common Platform Enumeration (CPE) Language.

See more details at http://nvd.nist.gov/cpe.cfm